image: node:10

cache:
  key: ${CI_COMMIT_REF_SLUG}
  paths:
    - node_modules/

before_script:
  - test -d node_modules || npm ci

build:
  stage: build
  script:
    - BASE_URL="/" API_URL="__API_URL__" node build.js
  artifacts:
    expire_in: 1 day
    paths:
      - public

  except:
    - tags

release:
  stage: build
  script:
    - BASE_URL="/" API_URL="__API_URL__" node build.js
  artifacts:
    paths:
      - public
  only:
    - tags

dependency_scanning:
  image: docker:stable
  stage: test
  allow_failure: true
  variables:
    DOCKER_DRIVER: overlay2
  services:
    - docker:stable-dind
  script:
    - export SP_VERSION=$(echo "$CI_SERVER_VERSION" | sed 's/^\([0-9]*\)\.\([0-9]*\).*/\1-\2-stable/')
    - docker run
      --env DEP_SCAN_DISABLE_REMOTE_CHECKS="${DEP_SCAN_DISABLE_REMOTE_CHECKS:-false}"
      --volume "$PWD:/code"
      --volume /var/run/docker.sock:/var/run/docker.sock
      "registry.gitlab.com/gitlab-org/security-products/dependency-scanning:$SP_VERSION" /code
  artifacts:
    reports:
      dependency_scanning: gl-dependency-scanning-report.json
